scripts/gen_image_generic.sh: fail on errors

The script always exits with value 0, even if some of the commands fail.
This can potentially create broken, unbootable images, e.g. when
make_ext4fs fails due to TARGET_KERNEL_PARTSIZE being too small for the
kernel. Avoid this by failing the script when any command fails.

Acked-by: Jo-Philipp Wich <jo@mein.io>
Acked-by: Petr Štetiar <ynezz@true.cz>
Signed-off-by: Stijn Tintel <stijn@linux-ipv6.be>
master
Stijn Tintel 5 years ago
parent e1444ab59c
commit b422e1631e
  1. 2
      scripts/gen_image_generic.sh

@ -1,6 +1,6 @@
#!/usr/bin/env bash
# Copyright (C) 2006-2012 OpenWrt.org
set -x
set -e -x
[ $# == 5 -o $# == 6 ] || {
echo "SYNTAX: $0 <file> <kernel size> <kernel directory> <rootfs size> <rootfs image> [<align>]"
exit 1

Loading…
Cancel
Save